import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { BatchGetApplicationRevisionsInput } from "../types/BatchGetApplicationRevisionsInput";
import { BatchGetApplicationRevisionsOutput } from "../types/BatchGetApplicationRevisionsOutput";
import { CodeDeployResolvedConfiguration } from "../CodeDeployConfiguration";
export * from "../types/BatchGetApplicationRevisionsInput";
export * from "../types/BatchGetApplicationRevisionsOutput";
export * from "../types/BatchGetApplicationRevisionsExceptionsUnion";
export declare class BatchGetApplicationRevisionsCommand implements __aws_sdk_types.Command<InputTypesUnion, BatchGetApplicationRevisionsInput, OutputTypesUnion, BatchGetApplicationRevisionsOutput, CodeDeployResolvedConfiguration, Blob> {
    readonly input: BatchGetApplicationRevisionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<BatchGetApplicationRevisionsInput, BatchGetApplicationRevisionsOutput, Blob>;
    constructor(input: BatchGetApplicationRevisionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeDeployResolvedConfiguration): __aws_sdk_types.Handler<BatchGetApplicationRevisionsInput, BatchGetApplicationRevisionsOutput>;
}
