import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetDeploymentGroupInput } from "../types/GetDeploymentGroupInput";
import { GetDeploymentGroupOutput } from "../types/GetDeploymentGroupOutput";
import { CodeDeployResolvedConfiguration } from "../CodeDeployConfiguration";
export * from "../types/GetDeploymentGroupInput";
export * from "../types/GetDeploymentGroupOutput";
export * from "../types/GetDeploymentGroupExceptionsUnion";
export declare class GetDeploymentGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, GetDeploymentGroupInput, OutputTypesUnion, GetDeploymentGroupOutput, CodeDeployResolvedConfiguration, Blob> {
    readonly input: GetDeploymentGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetDeploymentGroupInput, GetDeploymentGroupOutput, Blob>;
    constructor(input: GetDeploymentGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeDeployResolvedConfiguration): __aws_sdk_types.Handler<GetDeploymentGroupInput, GetDeploymentGroupOutput>;
}
