"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListApplicationRevisions_1 = require("../model/operations/ListApplicationRevisions");
var ListApplicationRevisionsCommand = /** @class */ (function () {
    function ListApplicationRevisionsCommand(input) {
        this.input = input;
        this.model = ListApplicationRevisions_1.ListApplicationRevisions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListApplicationRevisionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListApplicationRevisionsCommand;
}());
exports.ListApplicationRevisionsCommand = ListApplicationRevisionsCommand;
//# sourceMappingURL=ListApplicationRevisionsCommand.js.map