"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RegisterApplicationRevision_1 = require("../model/operations/RegisterApplicationRevision");
var RegisterApplicationRevisionCommand = /** @class */ (function () {
    function RegisterApplicationRevisionCommand(input) {
        this.input = input;
        this.model = RegisterApplicationRevision_1.RegisterApplicationRevision;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RegisterApplicationRevisionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RegisterApplicationRevisionCommand;
}());
exports.RegisterApplicationRevisionCommand = RegisterApplicationRevisionCommand;
//# sourceMappingURL=RegisterApplicationRevisionCommand.js.map