import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateDeploymentGroupInput } from "../types/UpdateDeploymentGroupInput";
import { UpdateDeploymentGroupOutput } from "../types/UpdateDeploymentGroupOutput";
import { CodeDeployResolvedConfiguration } from "../CodeDeployConfiguration";
export * from "../types/UpdateDeploymentGroupInput";
export * from "../types/UpdateDeploymentGroupOutput";
export * from "../types/UpdateDeploymentGroupExceptionsUnion";
export declare class UpdateDeploymentGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateDeploymentGroupInput, OutputTypesUnion, UpdateDeploymentGroupOutput, CodeDeployResolvedConfiguration, Blob> {
    readonly input: UpdateDeploymentGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateDeploymentGroupInput, UpdateDeploymentGroupOutput, Blob>;
    constructor(input: UpdateDeploymentGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeDeployResolvedConfiguration): __aws_sdk_types.Handler<UpdateDeploymentGroupInput, UpdateDeploymentGroupOutput>;
}
