"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateDeploymentGroup_1 = require("../model/operations/UpdateDeploymentGroup");
var UpdateDeploymentGroupCommand = /** @class */ (function () {
    function UpdateDeploymentGroupCommand(input) {
        this.input = input;
        this.model = UpdateDeploymentGroup_1.UpdateDeploymentGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateDeploymentGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateDeploymentGroupCommand;
}());
exports.UpdateDeploymentGroupCommand = UpdateDeploymentGroupCommand;
//# sourceMappingURL=UpdateDeploymentGroupCommand.js.map