"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchGetDeploymentsInput_1 = require("../shapes/BatchGetDeploymentsInput");
var BatchGetDeploymentsOutput_1 = require("../shapes/BatchGetDeploymentsOutput");
var DeploymentIdRequiredException_1 = require("../shapes/DeploymentIdRequiredException");
var InvalidDeploymentIdException_1 = require("../shapes/InvalidDeploymentIdException");
var BatchLimitExceededException_1 = require("../shapes/BatchLimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.BatchGetDeployments = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchGetDeployments",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: BatchGetDeploymentsInput_1.BatchGetDeploymentsInput
    },
    output: {
        shape: BatchGetDeploymentsOutput_1.BatchGetDeploymentsOutput
    },
    errors: [
        {
            shape: DeploymentIdRequiredException_1.DeploymentIdRequiredException
        },
        {
            shape: InvalidDeploymentIdException_1.InvalidDeploymentIdException
        },
        {
            shape: BatchLimitExceededException_1.BatchLimitExceededException
        }
    ]
};
//# sourceMappingURL=BatchGetDeployments.js.map