"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteApplicationInput_1 = require("../shapes/DeleteApplicationInput");
var DeleteApplicationOutput_1 = require("../shapes/DeleteApplicationOutput");
var ApplicationNameRequiredException_1 = require("../shapes/ApplicationNameRequiredException");
var InvalidApplicationNameException_1 = require("../shapes/InvalidApplicationNameException");
var InvalidRoleException_1 = require("../shapes/InvalidRoleException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteApplication = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteApplication",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteApplicationInput_1.DeleteApplicationInput
    },
    output: {
        shape: DeleteApplicationOutput_1.DeleteApplicationOutput
    },
    errors: [
        {
            shape: ApplicationNameRequiredException_1.ApplicationNameRequiredException
        },
        {
            shape: InvalidApplicationNameException_1.InvalidApplicationNameException
        },
        {
            shape: InvalidRoleException_1.InvalidRoleException
        }
    ]
};
//# sourceMappingURL=DeleteApplication.js.map