"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteDeploymentConfigInput_1 = require("../shapes/DeleteDeploymentConfigInput");
var DeleteDeploymentConfigOutput_1 = require("../shapes/DeleteDeploymentConfigOutput");
var InvalidDeploymentConfigNameException_1 = require("../shapes/InvalidDeploymentConfigNameException");
var DeploymentConfigNameRequiredException_1 = require("../shapes/DeploymentConfigNameRequiredException");
var DeploymentConfigInUseException_1 = require("../shapes/DeploymentConfigInUseException");
var InvalidOperationException_1 = require("../shapes/InvalidOperationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteDeploymentConfig = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteDeploymentConfig",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteDeploymentConfigInput_1.DeleteDeploymentConfigInput
    },
    output: {
        shape: DeleteDeploymentConfigOutput_1.DeleteDeploymentConfigOutput
    },
    errors: [
        {
            shape: InvalidDeploymentConfigNameException_1.InvalidDeploymentConfigNameException
        },
        {
            shape: DeploymentConfigNameRequiredException_1.DeploymentConfigNameRequiredException
        },
        {
            shape: DeploymentConfigInUseException_1.DeploymentConfigInUseException
        },
        {
            shape: InvalidOperationException_1.InvalidOperationException
        }
    ]
};
//# sourceMappingURL=DeleteDeploymentConfig.js.map