import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * <p>Represents the output of a CreateDeploymentConfig operation.</p>
 */
export interface CreateDeploymentConfigOutput extends __aws_sdk_types.MetadataBearer {
    /**
     * <p>A unique deployment configuration ID.</p>
     */
    deploymentConfigId?: string;
    /**
     * Metadata about the response received, including the HTTP status code, HTTP headers, and any request identifiers recognized by the SDK.
     */
    $metadata: __aws_sdk_types.ResponseMetadata;
}
