import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { BatchGetOnPremisesInstancesInput } from "../types/BatchGetOnPremisesInstancesInput";
import { BatchGetOnPremisesInstancesOutput } from "../types/BatchGetOnPremisesInstancesOutput";
import { CodeDeployResolvedConfiguration } from "../CodeDeployConfiguration";
export * from "../types/BatchGetOnPremisesInstancesInput";
export * from "../types/BatchGetOnPremisesInstancesOutput";
export * from "../types/BatchGetOnPremisesInstancesExceptionsUnion";
export declare class BatchGetOnPremisesInstancesCommand implements __aws_sdk_types.Command<InputTypesUnion, BatchGetOnPremisesInstancesInput, OutputTypesUnion, BatchGetOnPremisesInstancesOutput, CodeDeployResolvedConfiguration, Blob> {
    readonly input: BatchGetOnPremisesInstancesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<BatchGetOnPremisesInstancesInput, BatchGetOnPremisesInstancesOutput, Blob>;
    constructor(input: BatchGetOnPremisesInstancesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeDeployResolvedConfiguration): __aws_sdk_types.Handler<BatchGetOnPremisesInstancesInput, BatchGetOnPremisesInstancesOutput>;
}
