"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteGitHubAccountToken_1 = require("../model/operations/DeleteGitHubAccountToken");
var DeleteGitHubAccountTokenCommand = /** @class */ (function () {
    function DeleteGitHubAccountTokenCommand(input) {
        this.input = input;
        this.model = DeleteGitHubAccountToken_1.DeleteGitHubAccountToken;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteGitHubAccountTokenCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteGitHubAccountTokenCommand;
}());
exports.DeleteGitHubAccountTokenCommand = DeleteGitHubAccountTokenCommand;
//# sourceMappingURL=DeleteGitHubAccountTokenCommand.js.map