"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListGitHubAccountTokenNames_1 = require("../model/operations/ListGitHubAccountTokenNames");
var ListGitHubAccountTokenNamesCommand = /** @class */ (function () {
    function ListGitHubAccountTokenNamesCommand(input) {
        this.input = input;
        this.model = ListGitHubAccountTokenNames_1.ListGitHubAccountTokenNames;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListGitHubAccountTokenNamesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListGitHubAccountTokenNamesCommand;
}());
exports.ListGitHubAccountTokenNamesCommand = ListGitHubAccountTokenNamesCommand;
//# sourceMappingURL=ListGitHubAccountTokenNamesCommand.js.map