"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeregisterOnPremisesInstanceInput_1 = require("../shapes/DeregisterOnPremisesInstanceInput");
var DeregisterOnPremisesInstanceOutput_1 = require("../shapes/DeregisterOnPremisesInstanceOutput");
var InstanceNameRequiredException_1 = require("../shapes/InstanceNameRequiredException");
var InvalidInstanceNameException_1 = require("../shapes/InvalidInstanceNameException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeregisterOnPremisesInstance = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeregisterOnPremisesInstance",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeregisterOnPremisesInstanceInput_1.DeregisterOnPremisesInstanceInput
    },
    output: {
        shape: DeregisterOnPremisesInstanceOutput_1.DeregisterOnPremisesInstanceOutput
    },
    errors: [
        {
            shape: InstanceNameRequiredException_1.InstanceNameRequiredException
        },
        {
            shape: InvalidInstanceNameException_1.InvalidInstanceNameException
        }
    ]
};
//# sourceMappingURL=DeregisterOnPremisesInstance.js.map