"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetOnPremisesInstanceInput_1 = require("../shapes/GetOnPremisesInstanceInput");
var GetOnPremisesInstanceOutput_1 = require("../shapes/GetOnPremisesInstanceOutput");
var InstanceNameRequiredException_1 = require("../shapes/InstanceNameRequiredException");
var InstanceNotRegisteredException_1 = require("../shapes/InstanceNotRegisteredException");
var InvalidInstanceNameException_1 = require("../shapes/InvalidInstanceNameException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetOnPremisesInstance = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetOnPremisesInstance",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetOnPremisesInstanceInput_1.GetOnPremisesInstanceInput
    },
    output: {
        shape: GetOnPremisesInstanceOutput_1.GetOnPremisesInstanceOutput
    },
    errors: [
        {
            shape: InstanceNameRequiredException_1.InstanceNameRequiredException
        },
        {
            shape: InstanceNotRegisteredException_1.InstanceNotRegisteredException
        },
        {
            shape: InvalidInstanceNameException_1.InvalidInstanceNameException
        }
    ]
};
//# sourceMappingURL=GetOnPremisesInstance.js.map