"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListApplicationsInput_1 = require("../shapes/ListApplicationsInput");
var ListApplicationsOutput_1 = require("../shapes/ListApplicationsOutput");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListApplications = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListApplications",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListApplicationsInput_1.ListApplicationsInput
    },
    output: {
        shape: ListApplicationsOutput_1.ListApplicationsOutput
    },
    errors: [
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        }
    ]
};
//# sourceMappingURL=ListApplications.js.map