"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListDeploymentConfigsInput_1 = require("../shapes/ListDeploymentConfigsInput");
var ListDeploymentConfigsOutput_1 = require("../shapes/ListDeploymentConfigsOutput");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListDeploymentConfigs = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListDeploymentConfigs",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListDeploymentConfigsInput_1.ListDeploymentConfigsInput
    },
    output: {
        shape: ListDeploymentConfigsOutput_1.ListDeploymentConfigsOutput
    },
    errors: [
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        }
    ]
};
//# sourceMappingURL=ListDeploymentConfigs.js.map