"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListGitHubAccountTokenNamesInput_1 = require("../shapes/ListGitHubAccountTokenNamesInput");
var ListGitHubAccountTokenNamesOutput_1 = require("../shapes/ListGitHubAccountTokenNamesOutput");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ResourceValidationException_1 = require("../shapes/ResourceValidationException");
var OperationNotSupportedException_1 = require("../shapes/OperationNotSupportedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListGitHubAccountTokenNames = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListGitHubAccountTokenNames",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListGitHubAccountTokenNamesInput_1.ListGitHubAccountTokenNamesInput
    },
    output: {
        shape: ListGitHubAccountTokenNamesOutput_1.ListGitHubAccountTokenNamesOutput
    },
    errors: [
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: ResourceValidationException_1.ResourceValidationException
        },
        {
            shape: OperationNotSupportedException_1.OperationNotSupportedException
        }
    ]
};
//# sourceMappingURL=ListGitHubAccountTokenNames.js.map