import { AddTagsToOnPremisesInstancesInput } from "./AddTagsToOnPremisesInstancesInput";
import { BatchGetApplicationRevisionsInput } from "./BatchGetApplicationRevisionsInput";
import { BatchGetApplicationsInput } from "./BatchGetApplicationsInput";
import { BatchGetDeploymentGroupsInput } from "./BatchGetDeploymentGroupsInput";
import { BatchGetDeploymentInstancesInput } from "./BatchGetDeploymentInstancesInput";
import { BatchGetDeploymentTargetsInput } from "./BatchGetDeploymentTargetsInput";
import { BatchGetDeploymentsInput } from "./BatchGetDeploymentsInput";
import { BatchGetOnPremisesInstancesInput } from "./BatchGetOnPremisesInstancesInput";
import { ContinueDeploymentInput } from "./ContinueDeploymentInput";
import { CreateApplicationInput } from "./CreateApplicationInput";
import { CreateDeploymentInput } from "./CreateDeploymentInput";
import { CreateDeploymentConfigInput } from "./CreateDeploymentConfigInput";
import { CreateDeploymentGroupInput } from "./CreateDeploymentGroupInput";
import { DeleteApplicationInput } from "./DeleteApplicationInput";
import { DeleteDeploymentConfigInput } from "./DeleteDeploymentConfigInput";
import { DeleteDeploymentGroupInput } from "./DeleteDeploymentGroupInput";
import { DeleteGitHubAccountTokenInput } from "./DeleteGitHubAccountTokenInput";
import { DeregisterOnPremisesInstanceInput } from "./DeregisterOnPremisesInstanceInput";
import { GetApplicationInput } from "./GetApplicationInput";
import { GetApplicationRevisionInput } from "./GetApplicationRevisionInput";
import { GetDeploymentInput } from "./GetDeploymentInput";
import { GetDeploymentConfigInput } from "./GetDeploymentConfigInput";
import { GetDeploymentGroupInput } from "./GetDeploymentGroupInput";
import { GetDeploymentInstanceInput } from "./GetDeploymentInstanceInput";
import { GetDeploymentTargetInput } from "./GetDeploymentTargetInput";
import { GetOnPremisesInstanceInput } from "./GetOnPremisesInstanceInput";
import { ListApplicationRevisionsInput } from "./ListApplicationRevisionsInput";
import { ListApplicationsInput } from "./ListApplicationsInput";
import { ListDeploymentConfigsInput } from "./ListDeploymentConfigsInput";
import { ListDeploymentGroupsInput } from "./ListDeploymentGroupsInput";
import { ListDeploymentInstancesInput } from "./ListDeploymentInstancesInput";
import { ListDeploymentTargetsInput } from "./ListDeploymentTargetsInput";
import { ListDeploymentsInput } from "./ListDeploymentsInput";
import { ListGitHubAccountTokenNamesInput } from "./ListGitHubAccountTokenNamesInput";
import { ListOnPremisesInstancesInput } from "./ListOnPremisesInstancesInput";
import { ListTagsForResourceInput } from "./ListTagsForResourceInput";
import { PutLifecycleEventHookExecutionStatusInput } from "./PutLifecycleEventHookExecutionStatusInput";
import { RegisterApplicationRevisionInput } from "./RegisterApplicationRevisionInput";
import { RegisterOnPremisesInstanceInput } from "./RegisterOnPremisesInstanceInput";
import { RemoveTagsFromOnPremisesInstancesInput } from "./RemoveTagsFromOnPremisesInstancesInput";
import { SkipWaitTimeForInstanceTerminationInput } from "./SkipWaitTimeForInstanceTerminationInput";
import { StopDeploymentInput } from "./StopDeploymentInput";
import { TagResourceInput } from "./TagResourceInput";
import { UntagResourceInput } from "./UntagResourceInput";
import { UpdateApplicationInput } from "./UpdateApplicationInput";
import { UpdateDeploymentGroupInput } from "./UpdateDeploymentGroupInput";
export declare type InputTypesUnion = AddTagsToOnPremisesInstancesInput | BatchGetApplicationRevisionsInput | BatchGetApplicationsInput | BatchGetDeploymentGroupsInput | BatchGetDeploymentInstancesInput | BatchGetDeploymentTargetsInput | BatchGetDeploymentsInput | BatchGetOnPremisesInstancesInput | ContinueDeploymentInput | CreateApplicationInput | CreateDeploymentInput | CreateDeploymentConfigInput | CreateDeploymentGroupInput | DeleteApplicationInput | DeleteDeploymentConfigInput | DeleteDeploymentGroupInput | DeleteGitHubAccountTokenInput | DeregisterOnPremisesInstanceInput | GetApplicationInput | GetApplicationRevisionInput | GetDeploymentInput | GetDeploymentConfigInput | GetDeploymentGroupInput | GetDeploymentInstanceInput | GetDeploymentTargetInput | GetOnPremisesInstanceInput | ListApplicationRevisionsInput | ListApplicationsInput | ListDeploymentConfigsInput | ListDeploymentGroupsInput | ListDeploymentInstancesInput | ListDeploymentTargetsInput | ListDeploymentsInput | ListGitHubAccountTokenNamesInput | ListOnPremisesInstancesInput | ListTagsForResourceInput | PutLifecycleEventHookExecutionStatusInput | RegisterApplicationRevisionInput | RegisterOnPremisesInstanceInput | RemoveTagsFromOnPremisesInstancesInput | SkipWaitTimeForInstanceTerminationInput | StopDeploymentInput | TagResourceInput | UntagResourceInput | UpdateApplicationInput | UpdateDeploymentGroupInput;
